#include <bits/stdc++.h>
using namespace std;

string random_string(int len) {
  string s;
  for (int i = 0; i < len; i++)
    s += 'a' + rand() % 26;
  return s;
}

int main() {
  srand(time(0));
  int T = 90;
  cout << T << '\n';
  for (int i = 0; i < T; i++) {
    int len = rand() % 1000000 + 1;
    string s = random_string(len);
    int k = rand() % len + 1;
    cout << s << '\n' << k << '\n';
  }
  return 0;
}
